//
//  SDI-12 
//
//  MaiaR create
//

#include <arduino.h>
#include "SDI12.h"

#define RX_pin 16 // Port C  HMI Module
#define TX_pin 17 // Port C  HMI Module


String sdi12Command(String s){
  // TX_pinをLにしてBreak信号を送出する
  pinMode(TX_pin, OUTPUT);
  digitalWrite(TX_pin, LOW);
  delay(13); // >12ms
  digitalWrite(TX_pin, HIGH);
  delay(9);  // >8.33ms
  // TX_pin,RX_pinをシリアルに変更する
  Serial2.begin(1200, SERIAL_7E1, RX_pin, TX_pin);
  // command を送出
  Serial2.print(s);
  Serial2.flush();
  // 送出が終わったらTX_pinをHigh-Zにして受信に切り替える
  pinMode(TX_pin, INPUT);
  // センサーからのデータを受信する
  String rxs = Serial2.readString();
  return(rxs);
}


  
